%define	name	kalbum
%define	version	0.8.0
%define	release	%mkrel 12

Summary:	Application to create albums out of image collections 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Url:		http://www.paldandy.com/kalbum/
Group:		Graphical desktop/KDE
Source0: 	http://www.paldandy.com/kalbum/data/%name-%version/%{name}-%{version}.tar.bz2
#48x48 icon
Source1:	%{name}.png.bz2
Source2:	%{name}-nb.po.bz2
Source3:	kalbum-0.8.0-new-admin.tar.bz2
Patch1:		%{name}.applnk.patch
Patch2:		%{name}-nb.patch
BuildRequires:  kdelibs-devel
BuildRequires:	desktop-file-utils
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Kalbum is a KDE 3 application that allows you to create albums
out of a collection of images. 

main features: 
* Easy to use thumbnail interface
* Export the albums as a complete web site
* Easy to edit html templates for creating a customized web site
* Drag and Drop

%prep
%setup -q
%patch1 -p0 -b .orig
%patch2 -p0 -b .orig
bzcat %{SOURCE2} > po/nb.po

rm -fr admin
tar xfj %{SOURCE3}

%build
make -f admin/Makefile.common
%configure_kde3 --disable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name} --with-html

desktop-file-install --vendor="" --delete-original \
	--dir %buildroot%{_kde3_datadir}/applications/kde \
	%buildroot%_kde3_datadir/applnk/Applications/kalbum.desktop

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang 
%defattr(644,root,root,755)
%docdir %{name}-api
%doc %{name}-api/*.html
%defattr(-,root,root)
%{_kde3_bindir}/%{name}
%{_kde3_datadir}/applications/kde/%{name}.desktop
%{_kde3_datadir}/apps/%{name}
%{_kde3_datadir}/mimelnk/application/x-%{name}.desktop
%{_kde3_iconsdir}/*/*/apps/%{name}.png


%changelog
* Wed Jul 23 2008 Funda Wang <fundawang@mandriva.org> 0.8.0-12mdv2009.0
+ Revision: 242834
- Update admin dir with latest kde's version
- switch to /opt
- move desktop file into correct dir
- fix more desktop

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-9mdv2007.0
- Rebuild for new menu && extension

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-8mdk
- Fix redundant BuildRequires
	- libart_lgpl-devel already required by kdelibs-devel
	- libgamin-devel already required by kdelibs-devel
	- libmng-devel already required by kdelibs-devel
	- libjpeg-devel already required by kdelibs-devel

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-7mdk
- Fix redundant BuildRequires 
	- XFree86 already required by kdelibs-devel
	- qt3-devel already required by kdelibs-devel
	- zlib already required by png-devel
- %%{1}mdv2007.1

* Thu Apr 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-6mdk
- Fix build for AMD64
- Fix xinerama

* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-5mdk
- buildrequires libgamin-devel

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.0-4mdk
- Rebuild

